#ifndef AVRECEIVERNETWORKCTRLINTERFACE_H
#define AVRECEIVERNETWORKCTRLINTERFACE_H

#include "MasterCtrlInterface.h"
class CAvReceiver;

class CAvReceiverNetworkCtrlInterface: public CMasterCtrlInterface
{
public:
    CAvReceiverNetworkCtrlInterface(CAvReceiver *ProgramHandle);

    int DeviceFrameReceived(int TargetDeviceID, int TargetDeviceAddress, int SenderID, int SenderAddress, int MessageID, int DataSize, QByteArray Data);
    int DeviceConnectedToMaster(bool Connected = true);

private:
    CAvReceiver *mProgramHandle;
};

#endif // AVRECEIVERNETWORKCTRLINTERFACE_H
